Changes between Version 6 and Version 7 of Ja:Help/SystemRequirements


Ignore:
Timestamp:
2019-07-12T10:47:08+02:00 (4 days ago)
Author:
anonymous
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Ja:Help/SystemRequirements

    v6 v7  
    1 [[TranslatedPages(revision=8)]]
     1[[TranslatedPages(revision=11)]]
    22
    33== システム要件 ==
    44
    5 JOSMを実行するには [http://www.java.com/en/download/ Java 8] の最新バージョンの実行環境が必要です。
     5JOSMを実行するには [http://www.java.com/ja/download/ Java 8] 以降の最新バージョンの実行環境が必要です。
    66
    7 JOSMは'''Java 8'''以降にも対応しています。
     7古いJavaしか持っておらず更新もできない場合、古いバージョンのJOSMを使ってください。
     8* バージョン [/download/josm-snapshot-3377.jar 3377] はJava 5で動作します。
     9* バージョン [/download/josm-snapshot-7000.jar 7000] はJava 6で動作します。
     10* バージョン [/download/josm-snapshot-10526.jar 10526] はJava 7で動作します。
    811
    9 Java 5/6しか持っておらず更新もできない場合、古いバージョンのJOSMを使ってください。 バージョン [/download/josm-snapshot-3377.jar 3377] 以前はJava 5で動作します。 バージョン [/download/josm-snapshot-7000.jar 7000] 以前はJava 6で動作します。 MacとWindows用のインストーラを含む古いバージョンのJOSMは [/download/ download archive] から入手できます。
     12MacとWindows用のインストーラを含む古いバージョンのJOSMは [/download/ download archive] から入手できます。ただし、常に[/Ja:Wikistart 最新の安定版]を使用することを強くお勧めします。
    1013
    11 Java 7の古いバージョン(2013年6月リリースの'''update 25'''よりも前)しかない場合、最新のJOSMは動作はするものの以下のJavaのバグを引く可能性があります。 回避するにはそれぞれのバグに対応する更新を適用してください。
     14Java 7の古いバージョン(2013年6月リリースの'''update 25'''よりも前)しかない場合、JOSMのバージョン10526は動作はするものの以下のJavaのバグを引く可能性があります。回避するにはそれぞれのバグに対応する更新を適用してください。
    1215
    1316* #8182: Mac OS: Cannot open files in directories with swedish characters in them -> Update to Java 7 update 10 or later (see [http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7193966 Java bug 7193966])
     17
     18== トラブルシューティング ==
     19
     20* コマンドライン出力でJOSMを起動する
     21{{{
     22Exception in thread "main" java.lang.UnsupportedClassVersionError: JOSM : Unsupported major.minor version 52.0
     23}}}
     24  → 上記の説明に従ってJava 8以降をインストールしてください。